program helloJacobi
  use nrtype
  use nr, ONLY:jacobi
  implicit none
  integer(I4B)::nrot,j,i
  real(SP)::a(1:10,1:10),d(1:10),v(1:10,1:10)

  open(1,file="Eigen values.txt")
  open(2,file="matrix.txt")

  do i=1,10
    read(2,*) (a(i,j),j=1,10)
  enddo
  
  call jacobi(a,d,v,nrot)

  do i=1,10
    write(1,*)"The Eigen values::",d(i)
  enddo

  close(1)

end program
